[Unit]
Description=Davis ETL, feeding influxdb
After=network-online.target
Before=multi-user.target
Requires=influxdb.service
After=influxdb.service

[Service]
User=pi

# Gathers davis vantage vue data via python script, requires serial conn.
ExecStart=/usr/bin/python3 /home/www/plutonium/python/davis_etl.py

# wait 60 seconds before trying to restart the connection
# if it disconnects
RestartSec=5

# keep retrying no matter what
Restart=always

[Install]
WantedBy=multi-user.target
